<template>
  <view>
    <ProductCard />
    <view class="mx-3">
      <wd-grid class="rounded-lg" clickable>
        <wd-grid-item
          icon="computer"
          link-type="navigateTo"
          url="/pages/production/twist/report/index"
          text="报工"
        />
        <!-- <wd-grid-item
          icon="chart"
          text="自检"
          link-type="navigateTo"
          url="/pages/production/twist/selfInspect/index"
        /> -->
        <wd-grid-item
          icon="tips"
          link-type="navigateTo"
          url="/pages/production/twist/backman/index"
          text="杂工"
        />
        <wd-grid-item
          icon="wallet"
          link-type="navigateTo"
          url="/pages/production/twist/receive/index"
          text="材料领用"
        />
      </wd-grid>
    </view>
  </view>
</template>

<script lang="ts" setup>
import ProductCard from "@/components/product_card/index.vue";
</script>

<style lang="scss" scoped></style>
